/**
 * Lucario Theme originally by Raphael Amorim [@raphamorim]
 * https://github.com/raphamorim/lucario
 *
 * Ported for PrismJS by Christopher Kapic [@christopher-kapic]
 */
code[class*=language-],
pre[class*=language-] {
  color: #f8f8f2;
  background: none;
  text-shadow: 0 1px rgba(0, 0, 0, 0.3);
  font-family: Monaco, Consolas, "Andale Mono", "Ubuntu Mono", monospace;
  font-size: 14px;
  text-align: left;
  white-space: pre;
  word-spacing: normal;
  word-break: normal;
  word-wrap: normal;
  tab-size: 4;
  hyphens: none;
}

/* Code blocks */
pre[class*=language-] {
  padding: 1em;
  margin: 0.5em 0;
  overflow: auto;
  border-radius: 0.3em;
}

:not(pre) > code[class*=language-],
pre[class*=language-] {
  background: #263e52;
}

/* Inline code */
:not(pre) > code[class*=language-] {
  padding: 0.1em;
  border-radius: 0.3em;
  white-space: normal;
}

.token.comment,
.token.prolog,
.token.doctype,
.token.cdata {
  color: #5c98cd;
}

.token.punctuation {
  color: #f8f8f2;
}

.namespace {
  opacity: 0.7;
}

.token.property,
.token.tag,
.token.constant,
.token.symbol,
.token.deleted {
  color: #f05e5d;
}

.token.boolean,
.token.number {
  color: #bc94f9;
}

.token.selector,
.token.attr-name,
.token.string,
.token.char,
.token.builtin,
.token.inserted {
  color: #fcfcd6;
}

.token.operator,
.token.entity,
.token.url,
.language-css .token.string,
.style .token.string,
.token.variable {
  color: #f8f8f2;
}

.token.atrule,
.token.attr-value,
.token.function,
.token.class-name {
  color: #66d8ef;
}

.token.keyword {
  color: #6eb26e;
}

.token.regex,
.token.important {
  color: #f05e5d;
}

.token.important,
.token.bold {
  font-weight: bold;
}

.token.italic {
  font-style: italic;
}

.token.entity {
  cursor: help;
}

:root {
  --vt-c-white: #ffffff;
  --vt-c-white-soft: #f8f8f8;
  --vt-c-white-mute: #f2f2f2;
  --vt-c-black: #181818;
  --vt-c-black-soft: #222222;
  --vt-c-black-mute: #282828;
  --vt-c-indigo: #2c3e50;
  --vt-c-divider-light-1: rgba(60, 60, 60, 0.29);
  --vt-c-divider-light-2: rgba(60, 60, 60, 0.12);
  --vt-c-divider-dark-1: rgba(84, 84, 84, 0.65);
  --vt-c-divider-dark-2: rgba(84, 84, 84, 0.48);
  --vt-c-text-light-1: var(--vt-c-indigo);
  --vt-c-text-light-2: rgba(60, 60, 60, 0.66);
  --vt-c-text-dark-1: var(--vt-c-white);
  --vt-c-text-dark-2: rgba(235, 235, 235, 0.9);
  --shadow: rgba(0, 0, 0, 0.2) 0px 1px 2px,
    rgba(0, 0, 0, 0.16) 0px 2px 4px,
    rgba(0, 0, 0, 0.12) 0px 4px 8px,
    rgba(0, 0, 0, 0.08) 0px 8px 16px,
    rgba(0, 0, 0, 0.07) 0px 16px 32px;
}

/* semantic color variables for this project */
:root {
  --color-background: var(--vt-c-white);
  --color-background-soft: var(--vt-c-white-soft);
  --color-background-mute: var(--vt-c-white-mute);
  --color-border: var(--vt-c-divider-light-2);
  --color-border-hover: var(--vt-c-divider-light-1);
  --color-heading: var(--vt-c-text-light-1);
  --color-text: var(--vt-c-text-light-1);
  --section-gap: 160px;
  --primary: hsl(229, 90%, 28%);
  --code-font-family: 'Oxygen Mono', monospace;
}

@media (prefers-color-scheme: dark) {
  :root {
    --color-background: var(--vt-c-black);
    --color-background-soft: var(--vt-c-black-soft);
    --color-background-mute: var(--vt-c-black-mute);
    --color-border: var(--vt-c-divider-dark-2);
    --color-border-hover: var(--vt-c-divider-dark-1);
    --color-heading: var(--vt-c-text-dark-1);
    --color-text: var(--vt-c-text-dark-2);
    --primary: hsl(229, 100%, 80%);
  }
}
*,
*::before,
*::after {
  box-sizing: border-box;
  margin: 0;
  font-weight: normal;
}

body {
  min-height: 100vh;
  color: var(--color-text);
  background: var(--color-background);
  transition: color 0.5s, background-color 0.5s;
  font-family: "Cascadia Mono", monospace;
  font-size: 20px;
  line-height: 2.2rem;
  text-rendering: optimizeLegibility;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

a {
  color: var(--color-text);
}

p,
blockquote,
ul,
ol {
  margin-bottom: 1rem;
}
p:last-child,
blockquote:last-child,
ul:last-child,
ol:last-child {
  margin-bottom: 0;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  color: var(--primary);
  padding-bottom: 0.5rem;
}

h2,
h3,
h4,
h5,
h6 {
  margin-top: 1rem;
}

h1 {
  font-size: 1.8em;
  font-weight: bold;
}

h2 {
  font-size: 1.5em;
}

h3,
h4 {
  font-size: 1.3em;
}

.julien-calixte {
  font-family: "Meow Script", "Lucida Sans", "Lucida Sans Regular", Geneva, Verdana, sans-serif;
}

strong {
  font-weight: bold;
}

code {
  font-family: var(--code-font-family);
  font-size: 16px;
}

blockquote {
  padding: 1.2rem;
  margin: 1rem 2rem;
  border-radius: 0.3em;
  background-color: #574b90;
  color: #e8e8e8;
}

iframe.youtube {
  width: 100%;
  height: 500px;
  max-height: 35vh;
}

input {
  box-shadow: inset 0 0.0625em 0.125em rgba(10, 10, 10, 0.05);
  max-width: 100%;
  background-color: #fff;
  border-color: #dbdbdb;
  border-radius: 0.375em;
  color: #363636;
  border: 1px solid transparent;
  align-items: center;
  display: inline-flex;
  height: 2rem;
  justify-content: flex-start;
  line-height: 1.5;
  margin: 0;
  padding: 0 0.5rem;
}

video {
  max-width: 100%;
}